Bug 111771 - SMB password visible when printing
SMB password visible when printing
Status: CLOSED DUPLICATE of bug 101052
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-09 16:57 EST by Jean Francois Martinez
Modified: 2014-08-31 19:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:00:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean Francois Martinez 2003-12-09 16:57:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
If you configure for printing through an smb server, then start a
print job and do a ps you will see your SMB password displayed, for
everyone to see, as an argument to smbclient.

By using the -A option it is possible to put the workgroup, user and
password in a, read-protected of course, file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure for SMB printing
2. Print
3. Do a ps immdiately after
    

Actual Results:  Password is visible

Expected Results:  Password not visible

Additional info:
Comment 1 Tim Waugh 2003-12-09 18:18:08 EST
Nothing we can do about it from redhat-config-printer's side of it. 
CUPS needs a URI, that's all the control we have.
Comment 2 Josh Bressers 2004-06-18 17:54:40 EDT

*** This bug has been marked as a duplicate of 101052 ***
Comment 3 Red Hat Bugzilla 2006-02-21 14:00:21 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.